LibreOffice LibreOffice 26.2 SDK API Reference

Public Types | Exported Interfaces | Public Attributes | List of all members
DataPilotSourceDimension Service Reference

represents a dimension in a data pilot source. More...

`import"DataPilotSourceDimension.idl";`

Inheritance diagram for DataPilotSourceDimension:

## Public Types
typedef sequence< com::sun::star::sheet::TableFilterField > | Filter
| specifies which values are used. More...

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the dimension, i.e. More...
interface | com::sun::star::sheet::XHierarchiesSupplier
| provides access to the collection of hierarchies of this dimension. More...
interface | com::sun::star::util::XCloneable
| supports duplicating the dimension. More...
interface | com::sun::star::beans::XPropertySet
| published service PropertySet More...

## Public Attributes
com::sun::star::container::XNamed | Original
| returns the name of the dimension from which this dimension was cloned, or `NULL` if it was not cloned. More...
boolean | IsDataLayoutDimension
| contains `TRUE` if this is the dimension used to layout the different data dimensions. More...
com::sun::star::sheet::DataPilotFieldOrientation | Orientation
| specifies where the dimension is used. More...
long | Position
| specifies the position of the dimension within its orientation. More...
com::sun::star::sheet::GeneralFunction | Function
| specifies how data are aggregated. More...
long | UsedHierarchy
| specifies which hierarchy of the dimension is used. More...
long | Flags
| contains flags that control the usage of the dimension. More...
short | Function2
| specifies how data are aggregated. More...

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XHierarchiesSupplier
com::sun::star::container::XNameAccess | getHierarchies ()
| returns the collection of hierarchies. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

represents a dimension in a data pilot source.

A dimension is equivalent to a column of a cell range in a spreadsheet used for a data pilot field.

In more complex data sources, a dimension may contain several hierarchies, which consolidate items of a complex data type, called levels.

Example: In a database, a column contains date values. This column will be a dimension of the data pilot source. One hierarchy may contain the 3 levels year, month, day. Another hierarchy may contain the 2 levels year and week number.

See also
  com::sun::star::sheet::DataPilotSource
  com::sun::star::sheet::DataPilotTable

## Member Typedef Documentation

## ◆ Filter

sequence< com::sun::star::sheet::TableFilterField > Filter
| property

specifies which values are used.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the dimension, i.e.

used in collections.

## ◆ com::sun::star::sheet::XHierarchiesSupplier

interface com::sun::star::sheet::XHierarchiesSupplier

provides access to the collection of hierarchies of this dimension.

## ◆ com::sun::star::util::XCloneable

interface com::sun::star::util::XCloneable

supports duplicating the dimension.

A dimension may be used several times in a data pilot table, i.e. as row field and data field.

## Member Data Documentation

## ◆ Flags

long Flags
| optional property readonly

contains flags that control the usage of the dimension.

See also
  com::sun::star::sheet::DimensionFlags

## ◆ Function

com::sun::star::sheet::GeneralFunction Function
| property

specifies how data are aggregated.

## ◆ Function2

short Function2
| optional property

specifies how data are aggregated.

Since
  LibreOffice 5.3

## ◆ IsDataLayoutDimension

boolean IsDataLayoutDimension
| property readonly

contains `TRUE` if this is the dimension used to layout the different data dimensions.

## ◆ Orientation

com::sun::star::sheet::DataPilotFieldOrientation Orientation
| property

specifies where the dimension is used.

## ◆ Original

com::sun::star::container::XNamed Original
| property readonly

returns the name of the dimension from which this dimension was cloned, or `NULL` if it was not cloned.

## ◆ Position

long Position
| property

specifies the position of the dimension within its orientation.

## ◆ UsedHierarchy

long UsedHierarchy
| property

specifies which hierarchy of the dimension is used.

See also
  com::sun::star::sheet::DataPilotSourceHierarchies

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotSourceDimension.idl